Bug 1309718 - CFME not registered; cannot use Red Hat Access Insights
CFME not registered; cannot use Red Hat Access Insights
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - CloudForms (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian von Feilitzsch
Dave Johnson
Dan Macpherson
: Triaged
Depends On: 1347024
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 09:47 EST by Antonin Pagac
Modified: 2016-09-23 14:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2016-02-18 09:47:40 EST
Description of problem:
In my deployments, I have selected to use Red Hat Access Insights, but when logging into CFME appliance and clicking "Red Hat Insights" in the top menu, I can see only this message:

"This appliance is not registered to Red Hat.

To use Red Hat Insights, the appliance must be registered to Red Hat Subscription Management or Satellite (version 6.1 or newer)."

Version-Release number of selected component (if applicable):
TP2 RC9
RHCI-6.0-RHEL-7-20160208.1-RHCI-x86_64-dvd1.iso
RHCIOOO-7-RHEL-7-20160127.0-RHCIOOO-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Do a deployment of CFME on RHEV/RHELOSP, choose to use Red Hat Insights in step 1D
2. After the deployment completes, login to CFME and go to "Red Hat Insights"
3. Examine the page

Actual results:
"This appliance is not registered to Red Hat."

Expected results:
Valid Insights data shown

Additional info:
Happens with CFME on RHELOSP and CFME on RHEV.
Comment 1 Fabian von Feilitzsch 2016-06-15 16:35:40 EDT
Documentation bug filed here: https://bugzilla.redhat.com/show_bug.cgi?id=1347028

Cloudforms does not currently support automated registration to Satellite using an activation key. I have added the Cloudforms RFE for that feature as a blocker.

Note You need to log in before you can comment on or make changes to this bug.